<?php
class actionBooksmanagerGetChapter extends cmsAction {

    public function run(){

        $item_id = $this->request->get('item_id', false);
        $id = $this->request->get('id', false);

        if(!$id || !$item_id) return $this->cms_template->renderJSON(array(
            'error'   => true,
            'message' => 'Неверные параметры запроса!'
        ));

        $book = $this->getBookByParent($item_id);

        if(!isset($book['chapters'][$id])) return $this->cms_template->renderJSON(array(
            'error'   => true,
            'message' => 'Указанная глава не существует!'
        ));

        $chapter = $book['chapters'][$id];

        return $this->cms_template->renderJSON(array(
            'error'   => false,
            'content' => $this->getChapterContent($book['name'], $id),
            'title' => $chapter['title'],
            'chapter_id' => $id
        ));

    }

}
