<?php if ($field->title) { ?><h2><?php echo $field->title; ?></h2><?php } ?>

<?php
$item_id = isset($field->item['id']) ? $field->item['id'] : 'none';
$author_id = isset($field->item['user']['id']) ? $field->item['user']['id'] : cmsUser::getInstance()->id;
echo html_input('hidden', 'book-item-id', $item_id, array('id'=>'book-item-id'));
echo html_input('hidden', 'book-author-id', $author_id, array('id'=>'book-author-id'));
echo html_input('hidden', 'book-chapter-id', '', array('id'=>'book-chapter-id'));
?>
<div class="main-book">
    <div class="book-chapters-manager">
        <?php echo $field->manager->getChaptersListHtml($field->book, false); ?>
    </div>
</div>

<div class="modal">
    <div class="modal-body">
        <div class="modal-title">
            <span></span>
            <div class="modal-close" onclick="hideModal();">Закрыть</div>
        </div>
        <div class="modal-content"></div>
    </div>
</div>

<script>
    jQuery(document).ready(function(){
        jQuery(".modal").appendTo("body");
    });
    function viewChapter(id){
        $.post('/booksmanager/get_chapter', { id: id, item_id: $('#book-item-id').val()}).done(function(response) {
            data = $.parseJSON(response);
            if(!data.error){
                $('.modal-content').html(data.content);
                $('.modal-title span').html(data.title);
                $('.modal').show();
            }
        });
    }

    function hideModal() {
        $('.modal').hide();
    }

</script>
